from typing import ClassVar
from .base_nodes import UserBaseNode, CCBaseNode

class UserNode(UserBaseNode):
    __primarylabel__: ClassVar[str] = 'User'

class JournalNode(CCBaseNode):
    __primarylabel__: ClassVar[str] = 'Journal'
    user_id: str

class PlannerNode(CCBaseNode):
    __primarylabel__: ClassVar[str] = 'Planner'
    user_id: str
